<ion-content class="body">
	<div class="main-wrapper account-wrapper">
		<div class="account-page">
			<div class="account-center">
				<div class="account-box">
					<div class="form-signin">
						<div class="account-logo">
							<a href="https://xn--acompao-9za.com"
								><img src="assets/img/logo.png" alt=""
							/></a>
						</div>
						<div class="form-group">
							<label
								>{{ 'register.FirstName' | translate }}</label
							>
							<input
								[(ngModel)]="Registro.FirstName"
								name="FirstName"
								type="text"
								class="form-control"
							/>
						</div>
						<div class="form-group">
							<label>{{ 'register.LastName' | translate }}</label>
							<input
								[(ngModel)]="Registro.LastName"
								name="LastName"
								type="text"
								class="form-control"
							/>
						</div>
						<div class="form-group">
							<label>{{ 'register.email' | translate }}</label>
							<input
								[(ngModel)]="Registro.email"
								name="email"
								type="email"
								class="form-control"
							/>
						</div>
						<div class="form-group">
							<label>{{ 'register.password' | translate }}</label>
							<input
								[(ngModel)]="Registro.password"
								name="password"
								type="password"
								class="form-control"
							/>
						</div>
						<div class="form-group">
							<label
								>{{ 'register.confirm_p' | translate }}</label
							>
							<input
								[(ngModel)]="Registro.confirm_password"
								name="confirm_password"
								type="password"
								class="form-control"
							/>
						</div>
						<div
							*ngIf="Error"
							class="text-center login-link text-warnig"
						>
							Problemas al iniciar sesión. {{ Error.error }}
						</div>
						<div class="form-group checkbox">
							<label>
								<input type="checkbox" /> {{
								'register.Term_Condi' | translate }}
							</label>
						</div>
						<div class="form-group text-center">
							<button
								ion-button
								*ngIf="Registro.FirstName && Registro.LastName && Registro.email && Registro.password"
								class="btn btn-primary account-btn"
								type="submit"
								(click)="registrarUsuario()"
							>
								{{ 'register.sing_up' | translate }}
							</button>
						</div>
						<div class="text-center login-link">
							{{ 'register.go_login' | translate }}
							<a class="text-primary" routerLink="/auth/login"
								>{{ 'register.login' | translate }}</a
							>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</ion-content>
